
Foreman - Bug #10332

encrypt_websockets = off is not working

04/30/2015 07:06 AM - Julien Pivotto

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I set encrypt_websockets = off I can not access the novnc console anymore.

Related issues:

Is duplicate of Foreman - Bug #9603: Setting called websockets_encrypt does n... Closed 03/02/2015

History

#1 - 04/30/2015 07:11 AM - Dominic Cleal

- Category set to Compute resources

- Difficulty deleted (trivial)

Are you accessing Foreman over HTTPS?

Could you provide the contents of your web browser's console/log?  It might be an HTTP/HTTPS resource mismatch that it's blocking.

#2 - 04/30/2015 07:29 AM - Julien Pivotto

I access foreman with https and I have network.websocket.allowInsecureFromHTTPS set in firefox.

#3 - 04/30/2015 07:41 AM - Daniel Lobato Garcia

- Is duplicate of Bug #9603: Setting called websockets_encrypt does not work correctly added

#4 - 04/30/2015 07:42 AM - Julien Pivotto

- File console.log.txt added

#5 - 04/30/2015 07:43 AM - Julien Pivotto

https://github.com/theforeman/foreman/pull/2340

#6 - 05/27/2015 11:19 AM - Dominic Cleal

- Status changed from New to Duplicate

Files

console.log.txt 12.3 KB 04/30/2015 Julien Pivotto
